Index: scripts/debcommit.pl
===================================================================
--- scripts/debcommit.pl	(rÃ©vision 762)
+++ scripts/debcommit.pl	(copie de travail)
@@ -6,7 +6,7 @@
 
 =head1 SYNOPSIS
 
-B<debcommit> [B<--release>] [B<--message=>I<text>] [B<--noact>] [B<--changelog>] [B<--all> | I<files to commit>]
+B<debcommit> [B<--release>] [B<--message=>I<text>] [B<--noact>] [B<--changelog=>I<path>] [B<--all> | I<files to commit>]
 
 =head1 DESCRIPTION
 
@@ -20,7 +20,7 @@
 
 =over 4
 
-=item B<-c> B<--changelog>
+=item B<-c> B<--changelog> I<path>
 
 Specify an alternate location for the changelog. By default debian/changelog is
 used.
@@ -78,13 +78,13 @@
 and commit the change to a package\'s repository.
 
 Options:
-   -c --changelog     Specify the location of the changelog                 
-   -r --release       Commit a release of the package and create a tag
-   -m --message=text  Specify a commit message
-   -n --noact         Dry run, no actual commits
-   -a --all           Commit all files (default except for git)
-   -h --help          This message
-   -v --version       Version information
+   -c --changelog=path Specify the location of the changelog                 
+   -r --release        Commit a release of the package and create a tag
+   -m --message=text   Specify a commit message
+   -n --noact          Dry run, no actual commits
+   -a --all            Commit all files (default except for git)
+   -h --help           This message
+   -v --version        Version information
 EOT
 }
 
@@ -104,16 +104,17 @@
 my $noact=0;
 my $all=0;
 my $changelog="debian/changelog";
+Getopt::Long::Configure("bundling");
 if (! GetOptions(
-		 "release" => \$release,
-		 "message=s" => \$message,
-		 "noact" => \$noact,
-		 "all" => \$all,
-		 "changelog=s" => \$changelog,
-		 "help" => sub { usage(); exit 0; },
-		 "version" => sub { version(); exit 0; },
+		 "r|release" => \$release,
+		 "m|message=s" => \$message,
+		 "n|noact" => \$noact,
+		 "a|all" => \$all,
+		 "c|changelog=s" => \$changelog,
+		 "h|help" => sub { usage(); exit 0; },
+		 "v|version" => sub { version(); exit 0; },
 		 )) {
-    die "Usage: debcommit [--release] [--message=text] [--noact] [--all | files to commit]\n";
+    die "Usage: debcommit [--release] [--message=text] [--noact] [--changelog=path] [--all | files to commit]\n";
 }
 
 my @files_to_commit = @ARGV;
